package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FindingTransformationRule.CreateFindingTransformationRule(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.CreateFindingTransformationRuleResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/findings/transformation-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transformationRule": {
"appId": "<string>",
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"evaluationOrder": 123,
"id": "<string>",
"templateId": "<string>",
"transforms": [
{
"removeTags": {
"keys": [
"<string>"
]
},
"setAssignee": {
"directAssignee": {
"identityUserId": "<string>"
}
},
"setSeverity": {},
"setTags": {
"tags": {}
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/findings/transformation-rules"
payload = { "transformationRule": {
"appId": "<string>",
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": True,
"evaluationOrder": 123,
"id": "<string>",
"templateId": "<string>",
"transforms": [
{
"removeTags": { "keys": ["<string>"] },
"setAssignee": { "directAssignee": { "identityUserId": "<string>" } },
"setSeverity": {},
"setTags": { "tags": {} }
}
],
"updatedAt": "2023-11-07T05:31:56Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transformationRule: {
appId: '<string>',
condition: '<string>',
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
displayName: '<string>',
enabled: true,
evaluationOrder: 123,
id: '<string>',
templateId: '<string>',
transforms: [
{
removeTags: {keys: ['<string>']},
setAssignee: {directAssignee: {identityUserId: '<string>'}},
setSeverity: {},
setTags: {tags: {}}
}
],
updatedAt: '2023-11-07T05:31:56Z'
}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/findings/transformation-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transformationRule": {
"appId": "<string>",
"condition": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"enabled": true,
"evaluationOrder": 123,
"findingType": "FINDING_TYPE_UNSPECIFIED",
"id": "<string>",
"templateId": "<string>",
"transforms": [
{
"removeTags": {
"keys": [
"<string>"
]
},
"setAssignee": {
"directAssignee": {
"identityUserId": "<string>"
}
},
"setSeverity": {
"severity": "FINDING_SEVERITY_UNSPECIFIED"
},
"setTags": {
"tags": {}
}
}
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}Create Finding Transformation Rule
Create a new finding transformation rule.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.FindingTransformationRule.CreateFindingTransformationRule(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.CreateFindingTransformationRuleResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The CreateFindingTransformationRuleRequest message.
FindingTransformationRule transforms a finding at processing time, before routing runs. Rules fall through: every matching rule applies its transforms in ascending evaluation_order; the last rule to write a given field wins.
Show child attributes
Show child attributes
Response
Successful response
The CreateFindingTransformationRuleResponse message.
FindingTransformationRule transforms a finding at processing time, before routing runs. Rules fall through: every matching rule applies its transforms in ascending evaluation_order; the last rule to write a given field wins.
Show child attributes
Show child attributes
Was this page helpful?